This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 39811 - Pump stays binded to one dhcpd server, even if there are more available
Pump stays binded to one dhcpd server, even if there are more available
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 03:18 EDT by Jure Pecar
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 10:58:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jure Pecar 2001-05-09 03:18:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.18-cdhs i686)

Description of problem:
We use two dhcpd servers in our network, for high availabiliy. Or at least
we thought so. When client starts its networking, pump chooses one of the
servers. Now if we stop dhcpd on one of the servers, all clients that chose
that one will loose their network after what pump thinks it's max lease
time. (another bug, pump doesnt care about default and max lease time
defined in server's dhcpd.conf)

How reproducible:
Always

Steps to Reproduce:
1. have a network with at least two dhcp servers
2. have some clients; check that some clients got their IP info from one
and others from the other box.
3. stop one of the dhcp servers. 


Actual Results:  try pump -R on clients. those that got respone from still
running server return as expected, others, that talked to now stopped 
server, say Operation failed.

Expected Results:  Even if rfc says that renewal request is unicast, I
think it would be wise in such situation to send a broadcast again to 
see if there are some other servers available and not to fail quietly.

Additional info:

We use strict mac address to IP mapping, no free IPs floating around. Same
dhcpd.conf on both servers, which are RedHat 6.2 (dhcp-2.0-5). Clients are
RedHat 7.0 (pump-0.8.3-2).
Comment 1 Eido Inoue 2004-01-05 10:58:03 EST
closing as supported products don't use pump anymore

Note You need to log in before you can comment on or make changes to this bug.